// Started from: https://dev.to/seyedahmaddv/how-to-build-a-single-page-application-spa-with-react-285
// Should continue with: https://ui.dev/react-router-tutorial

import React from 'react';
import { BrowserRouter as Router, Route, Routes, Link } from 'react-router-dom';

const Home = () => <h2>Home Page</h2>;
const About = () => <h2>About Page</h2>;
const Contact = () => <h2>Contact Page</h2>;

function App() {
	return (
	<Router>
	<nav>
	<ul>
	<li><Link to="/">Home</Link></li>
	<li><Link to="/about">About</Link></li>
	<li><Link to="/contact">Contact</Link></li>
	</ul>
	</nav>

	<Routes>
	<Route exact path="/" component={Home} />
	<Route path="/about" component={About} />
	<Route path="/contact" component={Contact} />
	</Routes>
	</Router>
	);
}

export default App;
